DbTimestampType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class DbTimestampType

    java.lang.Object
      org.hibernate.type.AbstractStandardBasicType<T>
          org.hibernate.type.AbstractSingleColumnStandardBasicType<Date>
              org.hibernate.type.TimestampType
                  org.hibernate.type.DbTimestampType

All Implemented Interfaces:
  Serializable, BasicType, LiteralType<Date>, SingleColumnType<Date>, StringRepresentableType<Date>, Type, VersionType<Date>, XmlRepresentableType<Date>

    public class DbTimestampType

extends TimestampType

`dbtimestamp`: An extension of `TimestampType` which maps to the database's current timestamp, rather than the jvm's current timestamp.

Note: May/may-not cause issues on dialects which do not properly support a true notion of timestamp (Oracle < 8, for example, where only its DATE datatype is supported). Depends on the frequency of DML operations...

See Also:
  Serialized Form

Field Summary
`static DbTimestampType` | `INSTANCE`

Constructor Summary
`DbTimestampType()`

Method Summary
`String` | `getName()` Returns the abbreviated name of the type.
`String[]` | `getRegistrationKeys()` Get the names under which this type should be registered in the type registry.
`Date` | `seed(SessionImplementor session)` Generate an initial version.

Methods inherited from class org.hibernate.type.TimestampType
`fromStringValue, getComparator, next, objectToSQLString`

Methods inherited from class org.hibernate.type.AbstractSingleColumnStandardBasicType
`nullSafeSet, sqlType`

Methods inherited from class org.hibernate.type.AbstractStandardBasicType
`assemble, beforeAssemble, compare, deepCopy, deepCopy, defaultSizes, dictatedSizes, disassemble, fromString, fromXMLNode, fromXMLString, get, getColumnSpan, getDefaultSize, getDictatedSize, getHashCode, getHashCode, getJavaTypeDescriptor, getMutabilityPlan, getReplacement, getReturnedClass, getSemiResolvedType, getSqlTypeDescriptor, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, registerUnderJavaType, remapSqlTypeDescriptor, replace, replace, resolve, semiResolve, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, defaultSizes, dictatedSizes, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Methods inherited from interface org.hibernate.type.SingleColumnType
`get, nullSafeGet, set, toString`

Field Detail

### INSTANCE

    public static final DbTimestampType INSTANCE

Constructor Detail

### DbTimestampType

    public DbTimestampType()

Method Detail

### getName

    public String getName()

  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Specified by:
    `getName` in interface `Type`
  Overrides:
    `getName` in class `TimestampType`
  Returns:
    String the Hibernate type name

### getRegistrationKeys

    public String[] getRegistrationKeys()

  Description copied from interface: `BasicType`
  Get the names under which this type should be registered in the type registry.

  Specified by:
    `getRegistrationKeys` in interface `BasicType`
  Overrides:
    `getRegistrationKeys` in class `TimestampType`
  Returns:
    The keys under which to register this type.

### seed

    public Date seed(SessionImplementor session)

  Description copied from interface: `VersionType`
  Generate an initial version.

  Specified by:
    `seed` in interface `VersionType<Date>`
  Overrides:
    `seed` in class `TimestampType`
  Parameters:
    `session` - The session from which this request originates.
  Returns:
    an instance of the type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.